<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/12/2008 *
 * ===============                              Last change: 09/12/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : check-reset.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Checks for if reset shall be executed            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Prueft ob Reset laufen soll                      *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// 01    2              3             32        2         3321    12        3                     32    2                    21    1                        2                    21    1                        2                  21    1                  23          321    1                            10
if ((date("d", getConfig('last_update')) != date("d", time())) && ((!defined('mxchange_installing')) || (!mxchange_installing)) && (isBooleanConstantAndTrue('mxchange_installed')) && (isBooleanConstantAndTrue('admin_registered')) && (!REQUEST_ISSET_GET(('register'))) && ($GLOBALS['output_mode'] != 1)) {
	// Do daily things in external PHP file but only when script is completely setup
	// Daily reset was run!
	define('__DAILY_RESET', true);

	// Add more includes
	$INC_POOL = RESET_ADD_INCLUDES();

	// Run the filter
	RUN_FILTER('load_includes', $INC_POOL);
} // END - if

//
?>
