<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/05/2005 *
 * ===============                              Last change: 04/05/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : order_functions.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Functions for the guest's newsletter             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer den Newsletter an die Gaeste     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

function ORDER_SELECT_OPTION_LIST($default) {
	// Currenty the list is hardcoded...
	$LIST = array("userid", "zip", "country", "email", "birth_year", "last_online", "ref_clicks", "total_logins", "mail_orders");
	$OUT = "";
	foreach ($LIST as $item) {
		$selected = "";
		if ($item == $default) $selected = " selected=\"selected\"";
		$OUT .= "<option value=\"".$item."\"".$selected.">{--ORDER_SELECT_COLUMN_".strtoupper($item)."--}</option>\n";
	}

	// Return the output
	return $OUT;
}

//
?>
